Tenant Wallet
Tenant cüzdan yönetimi için kullanılan endpoint'ler.
Cüzdan oluştur
Tenant için yeni bir kripto cüzdanı oluşturur.
Authentication
x-auth(tenant-id)
HTTP Request
POST /tenant/create-wallet
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
name | string | true | - | Cüzdan adı |
networkCode | string | true | - | Network kodu (örn: SOL) |
Request Body Example
{
"name": "test wallet",
"networkCode": "SOL"
}
Response Parameters
Başarılı oluşturma durumunda HTTP 200 OK döner.
Cüzdanları listele
Tenant'a ait cüzdanları getirir. Opsiyonel olarak belirli bir cüzdan id ile filtreleme yapılabilir.
Authentication
x-auth(tenant-id)
HTTP Request
GET /tenant/get-wallets
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
id | string | false | - | Belirli cüzdanın id'si (filtreleme) |
Response Parameters
| Field | Type | Nullable | Desc |
|---|---|---|---|
id | string | false | Cüzdan veritabanı id'si |
tenantWalletId | string | false | Tenant cüzdan id'si |
tenantWalletName | string | false | Cüzdan adı |
networkId | number | false | Network id'si |
isActive | boolean | false | Aktif mi |
tenantId | string(uuid) | false | Tenant id'si |
type | number | false | Cüzdan tipi |
Response Body Example (Tüm Cüzdanlar)
[
{
"id": "25",
"tenantWalletId": "VoBZjQPS",
"tenantWalletName": "Ethereum",
"networkId": 4,
"isActive": true,
"tenantId": "be88d767-d238-4503-940d-04c52a52468d",
"type": 1
},
{
"id": "24",
"tenantWalletId": "3Df8UsQ1",
"tenantWalletName": "Solana",
"networkId": 4,
"isActive": true,
"tenantId": "be88d767-d238-4503-940d-04c52a52468d",
"type": 1
},
{
"id": "26",
"tenantWalletId": "MEtaacTb",
"tenantWalletName": "Şirketin Çıkış Cüzdanı",
"networkId": 4,
"isActive": true,
"tenantId": "be88d767-d238-4503-940d-04c52a52468d",
"type": 1
}
]
Response Body Example (Tek Cüzdan)
[
{
"id": "28",
"tenantWalletId": "dnw5czBT",
"tenantWalletName": "test wallet",
"networkId": 4,
"isActive": true,
"tenantId": "be88d767-d238-4503-940d-04c52a52468d",
"type": 1
}
]
Cüzdan işlemlerini getir
Belirtilen cüzdana ait işlemleri getirir.
Authentication
x-auth(tenant-id)
HTTP Request
GET /wallet/get-transaction
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
id | number | true | - | Cüzdan veritabanı id'si |
isWithdraw | boolean | false | - | Çekim işlemlerini filtrele |
isDeposit | boolean | false | - | Yatırım işlemlerini filtrele |
Response Parameters
İşlem listesi döner. İşlem yoksa boş dizi döner.
Response Body Example
[]
Cüzdan bakiyesini getir
Belirtilen cüzdanın bakiyesini getirir.
Authentication
x-auth(tenant-id)
HTTP Request
GET /wallet/get-balance
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
id | number | true | - | Cüzdan veritabanı id'si |
Response Parameters
Bakiye listesi döner. Bakiye yoksa boş dizi döner.
Response Body Example
[]
Cüzdan adresi oluştur
Belirtilen cüzdan için yeni bir kripto para adresi oluşturur.
Authentication
x-auth(tenant-id)
HTTP Request
POST /tenant/create-coin-address
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
code | string | true | - | Kripto para kodu (örn: SOL) |
network | string | true | - | Network kodu (örn: SOL) |
walletId | string | true | - | Tenant cüzdan id'si |
Request Body Example
{
"code": "SOL",
"network": "SOL",
"walletId": "MEtaacTb"
}
Response Parameters
| Field | Type | Nullable | Desc |
|---|---|---|---|
code | string | false | Kripto para kodu |
address | string | false | Oluşturulan cüzdan adresi |
addressTag | string | true | Adres etiketi (memo/tag) |
addressType | number | false | Adres tipi |
cDate | string | false | Oluşturulma tarihi (epoch timestamp) |
Response Body Example
{
"code": "SOL",
"address": "5w6uB7SRbWqmqEDkHR4Hg7XfbkzFTJifEyzixECFSMZT",
"addressTag": "",
"addressType": 3,
"cDate": "1769431195394"
}